Resolving the "Client Not Supported, Please Upgrade" error

Are you encountering the "Client Not Supported, Please Upgrade" error message while trying to access your Evernote account?

This issue doesn't necessarily mean there's a problem with your login credentials or subscription. Instead, it typically indicates that the version of the Evernote app installed on your device is outdated.

Evernote periodically updates its app to enhance security, fix bugs, and introduce new features. However, this also means that older versions will eventually be discontinued.

To continue accessing your Evernote account, you can download the latest version of the Evernote app directly from our website. Before downloading the latest version, make sure your device meets the minimum system requirements.

Updated

Was this article helpful?

2 out of 5 found this helpful

Have more questions? Submit a request